<?php

namespace App\Services\Customer;

use App\Entities\Customer\ServiceHistoryEntity;
use App\Models\Customer\ServiceHistoryModel;

class ServiceHistoryService extends CustomerService
{
    public function __construct()
    {
        parent::__construct();
        $this->addClassName('ServiceHistory');
    }
    public function getModelClass(): ServiceHistoryModel
    {
        return new ServiceHistoryModel();
    }
    public function getEntityClass(): ServiceHistoryEntity
    {
        return new ServiceHistoryEntity();
    }
    public function getFormFields(): array
    {
        return [
            "serviceinfo_uid",
            "title",
            "description",
        ];
    }
    public function getFilterFields(): array
    {
        return ["serviceinfo_uid", 'status'];
    }
    public function getBatchJobFields(): array
    {
        return ['status'];
    }
    public function getIndexFields(): array
    {
        return ['serviceinfo_uid', 'title', 'status', 'created_at'];
    }
    //FieldForm관련용
}
